CVE-2006-2885
CVSS4.3
发布时间 :2006-06-07 06:02:00
修订时间 :2011-03-07 21:37:11
NMCO    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in KnowledgeTree Open Source 3.0.3 and earlier allow remote attackers to inject arbitrary web script or HTML via the (1) fDocumentId parameter in view.php and the (2) fSearchableText parameter in /search/simpleSearch.php.


[CNNVD]KnowledgeTree Open Source 多个跨站脚本攻击漏洞(CNNVD-200606-178)

        Open Source 存在多个跨站脚本攻击(XSS)漏洞,远程攻击者可通过在view.php内的(1)fDocumentId参数和在/search/simpleSearch.php内的(2)fSearchableText参数来注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2885
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2885
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-178
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/26940
(UNKNOWN)  XF  knowledgetree-view-simplesearch-xss(26940)
http://www.vupen.com/english/advisories/2006/2157
(UNKNOWN)  VUPEN  ADV-2006-2157
http://www.securityfocus.com/bid/18324
(UNKNOWN)  BID  18324
http://www.osvdb.org/26180
(UNKNOWN)  OSVDB  26180
http://www.osvdb.org/26179
(UNKNOWN)  OSVDB  26179
http://secunia.com/advisories/20455
(VENDOR_ADVISORY)  SECUNIA  20455
http://pridels0.blogspot.com/2006/06/knowledgetree-open-source-xss-vuln.html
(UNKNOWN)  MISC  http://pridels0.blogspot.com/2006/06/knowledgetree-open-source-xss-vuln.html

- 漏洞信息

KnowledgeTree Open Source 多个跨站脚本攻击漏洞
中危 跨站脚本
2006-06-07 00:00:00 2006-10-30 00:00:00
远程  
        Open Source 存在多个跨站脚本攻击(XSS)漏洞,远程攻击者可通过在view.php内的(1)fDocumentId参数和在/search/simpleSearch.php内的(2)fSearchableText参数来注入任意Web脚本或HTML。

- 公告与补丁

        暂无数据

- 漏洞信息

26179
KnowledgeTree Open Source view.php fDocumentId Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

KnowledgeTree Open Source contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'fDocumentId' variable upon submission to the view.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-06-06 Unknow
2006-06-06 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站